+ Reply to Thread
Results 1 to 4 of 4

Thread: Says I need to update new patch but it doesn't update.

  1. #1
    Soulwalker
    Join Date
    May 2019
    Posts
    1

    Default Says I need to update new patch but it doesn't update.

    I start up the Glyph client, I hit play and during the loading screen prior to the character select, it says my version is outdated and I need to update it, but there is no update. Do I need to uninstall or reinstall or is there patches I can download?

  2. #2
    Telaran JadeCat's Avatar
    Join Date
    Jun 2015
    Posts
    50

    Default

    it was posted about fix it time


    I Am and always will be a Murphy's Child....

  3. #3
    Soulwalker
    Join Date
    Apr 2019
    Posts
    1

    Default

    The problem I had already, try right-clicking Glyph and then run as an administrator.

  4. #4
    Shadowlander Nephtania's Avatar
    Join Date
    Sep 2016
    Posts
    28

    Default

    the EU Shards ars still down yet. If you want the patch,just go in Glyph to the NA Shards and load the Patch there. so you got the patch allready bevor our Shards come back to the Daylight

+ Reply to Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts